<div>
  <%= link_to "Create Event", new_event_path, class: "btn", style: "float: right;" %> 
  <h4>Events List</h4>
</div>

<% if @events.present? %>
  <table class="striped">
    <tr>
      <th>Name</th>
      <th>Event Date</th>
      <th>Registration End Date</th>
      <th>Category</th>
      <th></th>
      <th></th>
    </tr>
    <tbody>
      <% @events.each do |event| %>
        <tr>
          <td><%= link_to event.name, event_path(event) %></td>
          <td><%= event.event_date.strftime("%d-%m-%Y") %></td>
          <td><%= event.reg_end_date.strftime("%d-%m-%Y") %></td>
          <td><%= event.category %></td>
          <td><%= link_to 'registered users', registered_users_event_path(event) %></td>
          <td><%= link_to event_path(event), method: :delete, data: { confirm: "You sure?"  } do %>
                                      Delete<% end %></td>
        </tr>
      <% end %>
    </tbody>
  </table>
<% else %>
  <div style="text-align: center; background-color: #eee; padding-top: 15px;">
    Sorry you don't have any Events
    <br />
    <br />
  </div>
<% end %>
